/** Commands for Jupyterlab Bookmarks plugin.
 * Copyright (c) 2020, Dr. Nandor Poka, All rights reserved.
 */
import { INotebookTracker } from '@jupyterlab/notebook';
import { IDocumentManager } from '@jupyterlab/docmanager';
import { ILauncher } from '@jupyterlab/launcher';
import { CommandRegistry } from '@lumino/commands';
export declare function initCommandsModule(nbkTracker: INotebookTracker, docMan: IDocumentManager, cmds: CommandRegistry, launch: ILauncher): void;
export declare const addBookmarkContextMenuCommand: {
    id: string;
    options: {
        label: string;
        caption: string;
        execute: () => Promise<any>;
    };
};
export declare const addBookmarkLauncherCommand: {
    id: string;
    options: {
        label: string;
        caption: string;
        icon: import("@jupyterlab/ui-components").LabIcon;
        execute: () => void;
    };
};
export declare const removeBookmarkCommand: {
    id: string;
    options: {
        label: string;
        caption: string;
        icon: import("@jupyterlab/ui-components").LabIcon;
        execute: () => void;
    };
};
